org.bouncycastle.jce.provider

## Class X509StoreLDAPCRLs

- java.lang.Object
- - org.bouncycastle.x509.X509StoreSpi
  - - org.bouncycastle.jce.provider.X509StoreLDAPCRLs

    public class X509StoreLDAPCRLs
    extends X509StoreSpi

A SPI implementation of Bouncy Castle `X509Store` for getting certificate revocation lists from an LDAP directory.

See Also:
  `X509Store`

### Constructor Summary

Constructors
Constructor and Description
`X509StoreLDAPCRLs()`

### Method Summary

Methods
`java.util.Collection` `engineGetMatches(Selector selector)` Returns a collection of matching CRLs from the LDAP location.
`void` `engineInit(X509StoreParameters params)` Initializes this LDAP CRL store implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X509StoreLDAPCRLs

    public X509StoreLDAPCRLs()

### Method Detail

#### engineInit

    public void engineInit(X509StoreParameters params)

Initializes this LDAP CRL store implementation.

Specified by:
  `engineInit` in class `X509StoreSpi`
Parameters:
  `params` - `X509LDAPCertStoreParameters`.
Throws:
  `java.lang.IllegalArgumentException` - if `params` is not an instance of `X509LDAPCertStoreParameters`.

#### engineGetMatches

    public java.util.Collection engineGetMatches(Selector selector)
                                          throws StoreException

Returns a collection of matching CRLs from the LDAP location.

The selector must be a of type `X509CRLStoreSelector`. If it is not an empty collection is returned.

The issuer should be a reasonable criteria for a selector.

Specified by:
  `engineGetMatches` in class `X509StoreSpi`
Parameters:
  `selector` - The selector to use for finding.
Returns:
  A collection with the matches.
Throws:
  `StoreException` - if an exception occurs while searching.